=== modified file 'docs/data_dictionary.rst'
--- docs/data_dictionary.rst	2010-11-30 00:28:02 +0000
+++ docs/data_dictionary.rst	2010-12-14 04:13:57 +0000
@@ -1,11 +1,8 @@
 DATA_DICTIONARY
 ===============
 
-The DATA_DICTIONARY is a Drizzle extension that provides information on the
-state of the database, and on the definitions of tables and other objects.
-If you wish to write portable tools you should make use of the
-INFORMATION_SCHEMA.
-
-USER_DEFINED_VARIABLES
-
-The table contains the name and value of the user defined variables that the user has created during the current session.
+The DATA_DICTIONARY is a Drizzle extension that provides information on the state of the database, and on the definitions of tables and other objects. In other contexts this is what might be referred to as the system catalog.
+
+If you wish to write portable tools you should make use of the INFORMATION_SCHEMA.
+
+That table contains the name and value of the :doc:`/variables` that the user has created during the current session.

=== modified file 'docs/dynamic.rst'
--- docs/dynamic.rst	2010-12-08 20:27:54 +0000
+++ docs/dynamic.rst	2010-12-14 04:13:57 +0000
@@ -1,25 +1,27 @@
 Dynamic SQL
 ===========
 
+Dynamic SQL enables you to build SQL statements dynamically at runtime. It can be generated within an application or from the system tables and then executed against the database to manipulate the data. You can create more general purpose, flexible applications by using dynamic SQL since the full text of a SQL statement may be unknown at the time of compilation.
+
+Dynamic SQL allows you to execute DDL statements (and other SQL statements) that are not supported in purely static SQL programs.
+
 In Drizzle you can use the EXECUTE command along with :doc:'user defined variables <variables>'
-to create SQL in a dynamic manner on the server. An exmaple of this is:
-
-SET @var= "SELECT 1";
-EXECUTE @var;
-
-You can also omit the variable and just insert the SQL directly:
-
-EXECUTE "SELECT 1";
-
-By adding WITH NO RETURN you can have EXECUTE then no errors will be
+to create SQL in a dynamic manner on the server. An exmaple of this is: ::
+
+	SET @var= "SELECT 1";
+	EXECUTE @var;
+
+You can also omit the variable and just insert the SQL directly: ::
+
+	EXECUTE "SELECT 1";
+
+By adding WITH NO RETURN you can have EXECUTE and no errors will be
 generated and no data will be returned by the execution of the statement.
 
 If you want to launch the query in a separate session, you can do that with
-the following:
-EXECUTE "SELECT 1" CONCURRENT;
+the following: ::
 
-By adding "WAIT" to a CONCURRENT execute, you can have the session that
-called EXECUTE wait till the child is finished before returning.
+	EXECUTE "SELECT 1" CONCURRENT;
 
 The query will run in a new session and will execute as the user that
 launched it. It can be killed via KILL and the system limit on total number

=== modified file 'docs/index.rst'
--- docs/index.rst	2010-11-18 22:32:28 +0000
+++ docs/index.rst	2010-12-14 04:13:57 +0000
@@ -24,10 +24,10 @@
 
 Introduction:
 -------------
-
+   
 .. toctree::
    :maxdepth: 2
-
+   
    preface
    what_is_drizzle
    brief_history_of_drizzle

=== modified file 'docs/information_schema.rst'
--- docs/information_schema.rst	2010-10-27 20:22:26 +0000
+++ docs/information_schema.rst	2010-12-14 04:13:57 +0000
@@ -3,6 +3,6 @@
 
 The INFORMATION_SCHEMA contains only tables and columns defined by the ANSI
 SQL standard. It should be used over DATA_DICTIONARY if you wish to write
-tools portable to other RDBMS.
+tools portable to other RDBMs.
 
 

=== modified file 'docs/locks.rst'
--- docs/locks.rst	2010-12-08 20:27:54 +0000
+++ docs/locks.rst	2010-12-14 04:13:57 +0000
@@ -18,19 +18,11 @@
 
 SELECT is_used_lock();
 
-SELECT wait_for_lock();
-
-SELECT release_lock_and_wait();
-
 If a session should exit, whatever locks it was holding will be deleted.
 
 Please note, get_lock() was designed to be compatible with MySQL. If you
 hold any locks when calling get_lock() they will be released. For this
 reason you may want to consider calling get_locks() instead.
 
-release_lock_and_wait() released the named lock, and then waits for another
-session to try to obtain ownership. If it does not own the lock, it returns
-with a zero.
-
 Information on all barriers can be found in the DATA_DICTIONARY.USER_LOCKS
-table;
+table;
\ No newline at end of file

